QGIS Application - Bug report #19842
DB Manager does not load layer after a query
2018-09-13 04:07 PM - matteo ghetta

Status: Closed
Priority: Normal
Assignee:

Category: DB Manager

Affected QGIS version:3.3(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27666

Description
Loading a layer as result of a query, like:
SELECT a.id AS id_punto, b.provincia AS provincia, a.geom

FROM punti a, province b
WHERE ST_Within(a.geom, b.geom) IS TRUE;

and clicking on "Load as new layer", if the user choose an id column, the layer is not loaded. The only way is to close DB Manager, run the

query again and don't touch anything in the "Load as new layer" tab. Then the resulting layer is loaded.

Happens with 2.18, 3.0, 3.2, 3.3

History

#1 - 2018-09-15 04:33 PM - Giovanni Manghi
- Status changed from Open to Feedback

| just tested on 3.2 and seems working fine here.

#2 - 2018-09-20 03:30 PM - matteo ghetta
- Status changed from Feedback to Closed

Fresh compiled and seems working now. Thanks for checking

#3 - 2018-09-20 09:25 PM - Giovanni Manghi
- Resolution set to fixed/implemented
